# Reykjavik

* **Theme URI:**          https://www.webmandesign.eu/portfolio/reykjavik-wordpress-theme/
* **Author:**             WebMan Design
* **Author URI:**         https://www.webmandesign.eu
* **License:**            GNU General Public License v3
* **License URI:**        http://www.gnu.org/licenses/gpl-3.0.html
* **Requires at least:**  4.7


## Description

**Reykjavik** is fresh, lightweight, speed and SEO optimized, accessibility ready WordPress theme perfect for your next business, portfolio, blog or WooCommerce e-shop website. You can customize all elements of the theme to your needs. The theme works perfectly with Beaver Builder, Beaver Themer, Elementor, Visual Composer or other page builder to create fantastic layouts. It features mobile-optimized codebase and design with unique, easy-to-access mobile navigation. Build your website in no time with integrated one-click demo import functionality. Impress your website visitors with this beautiful free theme!

Follow [WebMan Design on **Twitter**](https://twitter.com/webmandesigneu) and become a fan on [**Facebook**](https://www.facebook.com/webmandesigneu) for staying informed about the theme updates and news.


## Documentation

Theme documentation is available on-line at https://webmandesign.github.io/docs/reykjavik/


## Demo

Full theme demo website at https://themedemos.webmandesign.eu/reykjavik/


## Browser Compatibility

The theme was tested and is compatible with Chrome, Safari, Opera, Firefox, Edge, Internet Explorer 11 browsers.


## Installation

1. In your admin panel, go to **Appearance &rarr; Themes** and click the "Add New" button.
2. Click "Upload Theme" and "Choose File", then select the theme's .zip file. Click "Install Now".
3. Click "Activate" to use your new theme right away.


## Changelog

*For full theme changelog please see the `changelog.md` file.*


## Copyright

### Theme copyright

**Reykjavik WordPress Theme**
Copyright (c) WebMan Design, Oliver Juhas, https://www.webmandesign.eu/
Distributed under [GPLv3 license](https://www.gnu.org/licenses/gpl-3.0.html)

**Reykjavik is based on Underscores**
Copyright (c) Automattic, Inc.
Distributed under [GPLv2 or later license](https://www.gnu.org/licenses/gpl-2.0.html)
http://underscores.me

### CSS copyright

**Normalize.css**
Copyright (c) Nicolas Gallagher and Jonathan Neal
Distributed under [MIT license](https://opensource.org/licenses/MIT)
https://necolas.github.io/normalize.css/

### JavaScript copyright

**FitVids.JS**
Copyright (c) 2013 Chris Coyier - https://css-tricks.com + Dave Rupert - https://daverupert.com
Distributed under the [WTFPL license](https://sam.zoy.org/wtfpl/)
https://fitvidsjs.com

### PHP scripts copyright

**TGM-Plugin-Activation**
Copyright (c) 2011, Thomas Griffin
Distributed under [GPLv2 or later license](https://www.gnu.org/licenses/gpl-2.0.html)
https://tgmpluginactivation.com

### Fonts copyright

**Montserrat**
Copyright (c) Julieta Ulanovsky, Principal design
Distributed under [Open Font License](http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=OFL_web)
https://fonts.google.com/specimen/Montserrat

**Open Sans**
Copyright (c) Steve Matteson, Principal design
Distributed under [Apache License, Version 2.0](http://www.apache.org/licenses/LICENSE-2.0)
https://fonts.google.com/specimen/Open+Sans

**Genericons Neue font icons**
Copyright (c) Automattic, Inc.
Distributed under [GPLv2 or later license](https://www.gnu.org/licenses/gpl-2.0.html)
https://genericons.com

### Images copyright

**Bundled images in `images/footer/` and `images/header/` folders**
Distributed under [CC0 license](https://creativecommons.org/publicdomain/zero/1.0/)
https://pixabay.com/en/colorado-rocky-mountain-national-park-1436681/

**Bundled images in `images/starter-content/` folder**
Created specifically for this WordPress theme.
Copyright (c) WebMan Design, https://www.webmandesign.eu/
Distributed under [CC0 license](https://creativecommons.org/publicdomain/zero/1.0/)
* `boat-in-harbor.jpg` - Based on an image from https://openclipart.org
* `boat-sailing.jpg` - Based on an image from https://openclipart.org
* `boat-sailing-side-wind.jpg` - Based on an image from https://openclipart.org
* `waves.jpg` - Drawn specifically for this WordPress theme by WebMan Design, Oliver Juhas, https://www.webmandesign.eu/

**Bundled images in `images/svg/` folder**
Based on Font Awesome icons, Copyright (c) Dave Gandy
Distributed under [SIL Open Font License 1.1](http://scripts.sil.org/OFL).
http://fontawesome.io

**Bundled image `images/svg/reykjavik-logo.svg`**
Created specifically for this WordPress theme.
Copyright (c) WebMan Design, https://www.webmandesign.eu/
Distributed under [GPLv3 license](https://www.gnu.org/licenses/gpl-3.0.html)

**Images used in theme screenshot and demo website**
Copyright (c) https://openclipart.org
Copyright (c) https://unsplash.com
Copyright (c) https://stocksnap.io
Copyright (c) https://www.pexels.com
Copyright (c) https://pixabay.com
License: CC0, https://creativecommons.org/publicdomain/zero/1.0/
